var keyWord
let tableData;
var table ;
var laydate ;
let form ;
layui.use(['table', 'layer', 'laydate', 'jquery', 'form'], function () {
    table = layui.table;
    laydate = layui.laydate;
    form = layui.form;
    $("#importExcel").click(function () {
        importExcel();
    });
    //渲染table
    table.render({
        elem: '#demo'
        , url: ctxPath + '/negativeResult/getMsgContent' //数据接口
        , method: 'post' //方式默认是get
        , toolbar: 'default' //开启工具栏，此处显示默认图标，可以自定义模板，详见文档
        , where: {} //post请求必须加where ，post请求需要的参数
        , cellMinWidth: 80
        , cols: [[ //表头
            {field: 'number', width: 80, title: '序号', templet: function(res){
                    // res.LAY_INDEX表示当前行的序号，从0开始计数
                    // 将其加1即可转换为从1开始计数的序号
                    return res.LAY_INDEX + 1;
                }}

            , {field: 'phyName',width:120, align: 'center', title: '姓名'}
            , {field: 'phyOle', width: 70, align: 'center', title: '年龄'}
            , {field: 'phySex', width: 60, align: 'center', title: '性别'}
            , {field: 'teamName', width: 150, align: 'center', title: '团体名称'}
            , {field: 'teamDepart', width: 220, align: 'center', title: '团体部门'}
            , {field: 'masResult', width: 120, align: 'center', title: '阳性结果'}
            , {field: 'concWord', width: 300, align: 'center', title: '结论词'}
            , {field: 'generRecom', align: 'center', title: '总检建议'}
        ]]
        , id: 'menuTable'
        , page: true //开启分页
        , loading: true //数据加载中。。。
        , limits: [5, 10, 20]  //一页选择显示3,5或10条数据
        , limit: 10  //一页显示5条数据
        , response: {
            statusCode: 200 //规定成功的状态码，默认：0
        }, parseData: function (res) { //将原始数据解析成 table 组件所规定的数据，res为从url中get到的数据
            tableData = res.data
            console.log(tableData)
            let result;
            if (res.data !== '' && res.data != null && res.data !== "null") {
                if (this.page.curr) {
                    result = res.data.slice(this.limit * (this.page.curr - 1), this.limit * this.page.curr);
                } else {
                    result = res.data.slice(0, this.limit);
                }
            }
            return {
                "code": res.code, //解析接口状态
                "msg": res.msg, //解析提示文本
                "count": res.count, //解析数据长度
                "data": result, //解析数据列表
            };
        },

        toolbar: "#toolbar"
    });

    //头监听事件 -- checkBox 选中行和选中条数
    table.on('toolbar(test)', function (obj) {
        //获取事件名，执行对应的代码
        var eventName = obj.event;
        switch (eventName) {
            case "searchBt":
                keyWord = $("#keyWord").val();
                table.reload('menuTable', {
                    url: ctxPath + '/negativeResult/getMsgContent'
                    , method: 'post' //方式默认是get
                    , page: true
                    , where: {
                        keyWord: keyWord
                    } //设定异步数据接口的额外参数
                });
                /**二次赋值-- 点击搜索按钮之后会进行一次刷新操作*/
                $("#keyWord").val(keyWord);
                break;
            case "download":
                download();
                break;
        }
    });
});

//导入excel文件
function importExcel() {
    console.log($("#articleImageFile")[0].files[0])
    var formData = new FormData($('form')[0]);
    var name = $("#articleImageFile").val();
    if (name == null || name === "") {
        layer.msg("请上传Excel表格(.xlsx)");
        return;
    }
    // if (!(name.endsWith(".xlsx"))) {
    //     layer.msg("请上传正确的Excel表格(.xlsx)!");
    //     $("#articleImageFile").val("");
    //     return;
    // }
    formData.append("file", $("#articleImageFile")[0].files[0]);
    var idx = layer.msg('正在提交数据,请稍等...', {
        icon: 16
        , shade: 0.01
        , time: '-1'
    });
    $.ajax({
        url: ctxPath + "/export/negativeResult",
        type: 'POST',
        async: true,
        data: formData,
        timeout: 20000*3,
        // 告诉jQuery不要去处理发送的数据
        processData: false,
        // 告诉jQuery不要去设置Content-Type请求头
        contentType: false,
        success: function (data) {
            console.log(data)
            layer.close(idx);
            if(data.indexOf("导入成功") !=-1){
                layer.msg('success', { time: 5000, icon: 1 })
                layer.alert(data, {icon: 1});
                keyWord = $("#keyWord").val();
                table.reload('menuTable', {
                    url: ctxPath + '/negativeResult/getMsgContent'
                    , method: 'post' //方式默认是get
                    , page: true
                    , where: {
                        keyWord: keyWord
                    } //设定异步数据接口的额外参数
                });
                /**二次赋值-- 点击搜索按钮之后会进行一次刷新操作*/
                $("#keyWord").val(keyWord);
                calculationResults();
            }else if(data.indexOf("导入失败") !=-1){
                layer.alert(data, {icon: 2});
            }else{
                layer.alert(data, {icon: 2});
            }

        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            console.log(JSON.stringify(errorThrown));
            layer.close(idx);
        }
    });
    $("#articleImageFile").val("");
}

function calculationResults() {
    var idx = layer.msg('正在提交数据,请稍等...', {
        icon: 16
        , shade: 0.01
        , time: '-1'
    });

    $.ajax({
        url: ctxPath + "/negativeResult/calculationResults",
        type: 'POST',
        async: true,
        timeout: 20000,
        // 告诉jQuery不要去处理发送的数据
        processData: false,
        // 告诉jQuery不要去设置Content-Type请求头
        contentType: false,
        success: function (data) {
            layer.msg('success', { time: 5000, icon: 1 })
            layer.close(idx);

        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            console.log(JSON.stringify(errorThrown));
            layer.close(idx);
        }
    });
}

function download(){
    window.location.href = ctxPath + "/download/download?filename=阳性结果的统计模板.xls"
}

